import axios from 'axios';
import type {
  TaskListPageRes,
  TaskItemDetail,
  TaskRuleUpdateParams,
} from './types/order';
import { AbleParams } from './types/common';

// task-manage
export function taskListPage(params: {
  name: string;
}): Promise<TaskListPageRes> {
  return axios.post('/api/admin/apply/task/page', {}, { params });
}
export function taskDetailInfo(id: string): Promise<TaskItemDetail> {
  return axios.post('/api/admin/apply/task/find', {}, { params: { id } });
}
export function updateTaskRule(
  datas: TaskRuleUpdateParams
): Promise<{ id: string }> {
  return axios.post('/api/admin/apply/task/rule/save', datas);
}
export function ableTask(params: AbleParams): Promise<boolean> {
  return axios.post('/api/admin/apply/task/enable', params);
}
