import { PageResult, PageParams } from './common';

export interface TaskItem {
  id: string;
  name: string;
  selfApplyStartTime: number;
  selfApplyEndTime: number;
  openApplyStartTime: number;
  openApplyEndTime: number;
  enable: number; // 1:启用；0:禁用
  updateTime: number;
}

export type TaskListPageRes = PageResult<TaskItem>;

export interface TaskItemDetail {
  id: string;
  name: string;
  allowApplyDays: number;
  allowApplyCancelDays: number;
  selfApplyStartTime: number;
  selfApplyEndTime: number;
  openApplyStartTime: number;
  openApplyEndTime: number;
  time: [
    {
      id: string;
      startTime: number;
      endTime: number;
    }
  ];
  notice: string;
}

export interface TaskRuleUpdateParams {
  id?: string;
  name: string;
  allowApplyDays: number;
  allowApplyCancelDays: number;
  selfApplyStartTime: number;
  selfApplyEndTime: number;
  openApplyStartTime: number;
  openApplyEndTime: number;
}
